OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-5.ocamllabs.io

(from ocaml/opam:debian-unstable)
2021-11-20 23:37.46 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam"))
2021-11-20 23:37.46 ---> using "4d29eb3e0b7cd69a97ed90837671d5ca38aa41e2fb94346298af500378eca6fa" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'git://github.com/ocaml/opam-repository.git' ~/opam-repository && git -C ~/opam-repository checkout -q 092c37746a8cb99ad2a9eefb7943196a9f1cedc2"))
2021-11-20 23:37.46 ---> using "b16b0ba39ac480f1735de0669bb4ac773826ab8eac33ef47d77f0f0f78464c94" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2021-11-20 23:37.46 ---> using "2afdc0690c5df357ea3e845c3eef70aee34e4ad430085bc0cf66a0cce51d1232" from cache

/: (run (network host)
        (shell "git clone -q 'git://github.com/ocaml/ocaml-beta-repository.git' ~/'beta' && git -C ~/'beta' checkout -q 79aeeadd813bdae424ab53f882f08bee0a4e0b89"))
2021-11-20 23:37.46 ---> using "55d1403124175c5424188f0334144b7f3e548012f40d8a9f57dd3407e9bf5016" from cache

/: (run (shell "opam repository add --dont-select 'beta' ~/'beta'"))
[beta] Initialised
2021-11-20 23:37.46 ---> using "c8b605c6210873a972c1f801736d60c96480eb79d742379c4645a8288d014e32" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=beta,default '4.07' '4.07.1'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.07.1"} | "ocaml-system" {= "4.07.1"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-base-compiler.4.07.1  (cached)
-> installed ocaml-base-compiler.4.07.1
-> installed ocaml-config.1
-> installed ocaml.4.07.1
Done.
# Run eval $(opam env --switch=4.07) to update the current shell environment
2021-11-20 23:37.46 ---> using "8854ef32242e5fe1cff5fa9fbdc1b04d72c6e4ed5e6ce7060fba2658f0b8b21b" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Ign:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages [8853 kB]
- Fetched 9082 kB in 2s (4073 kB/s)
- Reading package lists...
- 
2021-11-20 23:37.46 ---> using "b570d7658f512fd2e8dad029fb38eb186d73efdd19f8722b8221785e0d49ea6c" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam install -y ocaml-secondary-compiler"))
The following actions will be performed:
  - install ocaml-secondary-compiler 4.08.1-1

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-secondary-compiler.4.08.1-1  (cached)
-> installed ocaml-secondary-compiler.4.08.1-1
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-20 23:37.46 ---> using "59cbd14e8d9d13494fbfdddd6b7d07ed46dad8140ee8dd9d843b5d94898eefd5" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"async_extended.v0.11.0\"\
               \nopam install -vy \"async_extended.v0.11.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"async_extended.v0.11.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] async_extended.v0.11.0 is not installed.

Nothing to do.
The following actions will be performed:
  - install seq                        base       [required by re]
  - install ocamlbuild                 0.14.0     [required by inotify]
  - install ocamlfind                  1.9.1      [required by inotify]
  - remove  ocaml-secondary-compiler   4.08.1-1
  - install dune                       1.11.4     [required by spawn]
  - install num                        1.4        [required by sexplib]
  - install base-bytes                 base       [required by inotify]
  - install spawn                      v0.13.0    [required by core]
  - install result                     1.5        [required by ocaml-migrate-parsetree]
  - install re                         1.9.0      [required by core_extended]
  - install ppx_derivers               1.2.1      [required by ocaml-migrate-parsetree]
  - install octavius                   1.2.2      [required by ppx_js_style]
  - install ocaml-compiler-libs        v0.12.3    [required by ppxlib]
  - install jbuilder                   transition [required by async_extended]
  - install inotify                    2.3        [required by async_inotify]
  - install ocaml-migrate-parsetree    1.8.0      [required by async_extended]
  - install sexplib0                   v0.11.0    [required by base, sexplib]
  - install jane-street-headers        v0.11.0    [required by core_kernel]
  - install parsexp                    v0.11.0    [required by sexplib]
  - install base                       v0.11.1    [required by core, core_kernel, sexp_pretty]
  - install sexplib                    v0.11.0    [required by core_extended]
  - install typerep                    v0.11.0    [required by core_kernel]
  - install stdio                      v0.11.0    [required by core_kernel, core]
  - install ppxlib                     0.8.1      [required by core]
  - install configurator               v0.11.0    [required by core_kernel, core]
  - install variantslib                v0.11.0    [required by core_kernel]
  - install ppx_typerep_conv           v0.11.1    [required by ppx_jane]
  - install ppx_sexp_conv              v0.11.2    [required by core_kernel]
  - install ppx_pipebang               v0.11.0    [required by ppx_jane]
  - install ppx_optional               v0.11.0    [required by ppx_jane]
  - install ppx_optcomp                v0.11.0    [required by ppx_jane]
  - install ppx_let                    v0.11.0    [required by ppx_jane]
  - install ppx_js_style               v0.11.0    [required by ppx_base]
  - install ppx_inline_test            v0.11.0    [required by core_kernel]
  - install ppx_here                   v0.11.0    [required by ppx_assert, ppx_jane]
  - install ppx_enumerate              v0.11.1    [required by ppx_base]
  - install ppx_compare                v0.11.1    [required by ppx_assert, bin_prot, ppx_base]
  - install fieldslib                  v0.11.0    [required by core_extended]
  - install ppx_variants_conv          v0.11.1    [required by bin_prot, ppx_jane]
  - install ppx_custom_printf          v0.11.0    [required by bin_prot, ppx_jane]
  - install ppx_bench                  v0.11.0    [required by ppx_jane]
  - install ppx_sexp_value             v0.11.0    [required by ppx_jane]
  - install ppx_sexp_message           v0.11.0    [required by core_kernel]
  - install ppx_fail                   v0.11.0    [required by ppx_jane]
  - install ppx_hash                   v0.11.1    [required by core_kernel]
  - install ppx_assert                 v0.11.0    [required by core_kernel, core]
  - install ppx_fields_conv            v0.11.0    [required by bin_prot, ppx_jane]
  - install ppx_base                   v0.11.0    [required by core_kernel, sexp_pretty]
  - install ppx_expect                 v0.11.1    [required by ppx_jane]
  - install bin_prot                   v0.11.0    [required by core_extended]
  - install sexp_pretty                v0.11.0    [required by expect_test_helpers]
  - install ppx_bin_prot               v0.11.1    [required by ppx_jane]
  - install ppx_jane                   v0.11.0    [required by async_extended]
  - install splittable_random          v0.11.0    [required by core_kernel]
  - install core_kernel                v0.11.1    [required by core_extended]
  - install textutils_kernel           v0.11.0    [required by textutils]
  - install re2                        v0.11.0    [required by core_extended]
  - install protocol_version_header    v0.11.0    [required by async_rpc_kernel]
  - install expect_test_helpers_kernel v0.11.0    [required by expect_test_helpers]
  - install core                       v0.11.3    [required by async_extended]
  - install async_kernel               v0.11.1    [required by async]
  - install textutils                  v0.11.0    [required by async_extended]
  - install async_unix                 v0.11.0    [required by async]
  - install async_rpc_kernel           v0.11.0    [required by async_extra]
  - install core_extended              v0.11.0    [required by async_extended]
  - install async_extra                v0.11.1    [required by async]
  - install async                      v0.11.0    [required by async_extended]
  - install sequencer_table            v0.11.0    [required by async_extended]
  - install expect_test_helpers        v0.11.0    [required by async_extended]
  - install command_rpc                v0.11.0    [required by async_extended]
  - install async_shell                v0.11.0    [required by async_extended]
  - install async_interactive          v0.11.0    [required by async_extended]
  - install async_find                 v0.11.0    [required by async_extended]
  - install delimited_parsing          v0.11.0    [required by async_extended]
  - install async_inotify              v0.11.0    [required by async_extended]
  - install async_extended             v0.11.0
===== 75 to install | 1 to remove =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> removed   ocaml-secondary-compiler.4.08.1-1
Processing  2/226:
Processing  3/226: [async_extended.v0.11.0: http]
Processing  4/226: [async_extended.v0.11.0: http]
-> retrieved async.v0.11.0  (cached)
Processing  5/226: [async_extended.v0.11.0: http] [async_find.v0.11.0: http]
-> retrieved async_extra.v0.11.1  (cached)
Processing  6/226: [async_extended.v0.11.0: http] [async_find.v0.11.0: http] [async_inotify.v0.11.0: http]
Processing  6/226: [async_extended.v0.11.0: http] [async_inotify.v0.11.0: http]
Processing  6/226: [async_extended.v0.11.0: http]
-> retrieved async_find.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/async_find-v0.11.0.tar.gz)
Processing  7/226: [async_extended.v0.11.0: http] [async_interactive.v0.11.0: http]
-> retrieved async_inotify.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/async_inotify-v0.11.0.tar.gz)
Processing  8/226: [async_extended.v0.11.0: http] [async_interactive.v0.11.0: http]
Processing  8/226: [async_interactive.v0.11.0: http]
-> retrieved async_extended.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/async_extended-v0.11.0.tar.gz)
Processing  9/226: [async_interactive.v0.11.0: http]
-> retrieved async_kernel.v0.11.1  (cached)
Processing 10/226: [async_interactive.v0.11.0: http] [async_shell.v0.11.0: http]
-> retrieved async_rpc_kernel.v0.11.0  (cached)
Processing 11/226: [async_interactive.v0.11.0: http] [async_shell.v0.11.0: http]
-> retrieved async_unix.v0.11.0  (cached)
Processing 12/226: [async_interactive.v0.11.0: http] [async_shell.v0.11.0: http]
Processing 12/226: [async_shell.v0.11.0: http]
-> retrieved async_interactive.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/async_interactive-v0.11.0.tar.gz)
Processing 13/226: [async_shell.v0.11.0: http]
Processing 14/226: [async_shell.v0.11.0: http]
Processing 14/226:
-> retrieved base.v0.11.1  (cached)
Processing 15/226: [command_rpc.v0.11.0: http]
-> retrieved bin_prot.v0.11.0  (cached)
Processing 16/226: [command_rpc.v0.11.0: http]
-> retrieved async_shell.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/async_shell-v0.11.0.tar.gz)
Processing 17/226: [command_rpc.v0.11.0: http]
-> retrieved configurator.v0.11.0  (cached)
Processing 18/226: [command_rpc.v0.11.0: http] [core_extended.v0.11.0: http]
Processing 18/226: [core_extended.v0.11.0: http]
-> retrieved command_rpc.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/command_rpc-v0.11.0.tar.gz)
Processing 19/226: [core_extended.v0.11.0: http]
-> retrieved core.v0.11.3  (cached)
Processing 20/226: [core_extended.v0.11.0: http] [delimited_parsing.v0.11.0: http]
-> retrieved core_kernel.v0.11.1  (cached)
Processing 21/226: [core_extended.v0.11.0: http] [delimited_parsing.v0.11.0: http]
Processing 21/226: [delimited_parsing.v0.11.0: http]
-> retrieved core_extended.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/core_extended-v0.11.0.tar.gz)
Processing 22/226: [delimited_parsing.v0.11.0: http] [expect_test_helpers.v0.11.0: http]
Processing 22/226: [expect_test_helpers.v0.11.0: http]
-> retrieved delimited_parsing.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/delimited_parsing-v0.11.0.tar.gz)
Processing 23/226: [expect_test_helpers.v0.11.0: http] [expect_test_helpers_kernel.v0.11.0: http]
Processing 23/226: [expect_test_helpers_kernel.v0.11.0: http]
-> retrieved expect_test_helpers.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/expect_test_helpers-v0.11.0.tar.gz)
Processing 24/226: [expect_test_helpers_kernel.v0.11.0: http]
-> retrieved fieldslib.v0.11.0  (cached)
Processing 25/226: [expect_test_helpers_kernel.v0.11.0: http]
Processing 25/226:
-> retrieved inotify.2.3  (cached)
Processing 26/226:
-> retrieved dune.1.11.4  (cached)
Processing 27/226:
Processing 28/226:
Processing 29/226: [dune: ocaml bootstrap.ml]
-> retrieved expect_test_helpers_kernel.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/expect_test_helpers_kernel-v0.11.0.tar.gz)
Processing 30/226: [dune: ocaml bootstrap.ml]
-> retrieved jane-street-headers.v0.11.0  (cached)
Processing 31/226: [dune: ocaml bootstrap.ml]
-> retrieved num.1.4  (cached)
Processing 32/226: [dune: ocaml bootstrap.ml]
-> retrieved ocaml-compiler-libs.v0.12.3  (cached)
Processing 33/226: [dune: ocaml bootstrap.ml]
-> retrieved ocamlbuild.0.14.0  (cached)
Processing 34/226: [dune: ocaml bootstrap.ml]
Processing 35/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
-> retrieved ocaml-migrate-parsetree.1.8.0  (cached)
Processing 36/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
-> retrieved ocamlfind.1.9.1  (cached)
Processing 37/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
Processing 38/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make] [ocamlfind: ./configure]
-> retrieved octavius.1.2.2  (cached)
Processing 39/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make] [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "-f" "configure.make" "all" "OCAMLBUILD_PREFIX=/home/opam/.opam/4.07" "OCAMLBUILD_BINDIR=/home/opam/.opam/4.07/bin" "OCAMLBUILD_LIBDIR=/home/opam/.opam/4.07/lib" "OCAMLBUILD_MANDIR=/home/opam/.opam/4.07/man" "OCAML_NATIVE=true" "OCAML_NATIVE_TOOLS=true" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0)
- (echo "# This file was generated from configure.make"; \
- echo ;\
- echo "OCAML_PREFIX=/home/opam/.opam/4.07"; \
- echo "OCAML_BINDIR=/home/opam/.opam/4.07/bin"; \
- echo "OCAML_LIBDIR=/home/opam/.opam/4.07/lib/ocaml"; \
- echo "OCAML_MANDIR=/home/opam/.opam/4.07/man"; \
- echo ;\
- echo "EXT_OBJ=.o"; \
- echo "EXT_ASM=.s"; \
- echo "EXT_LIB=.a"; \
- echo "EXT_DLL=.so"; \
- echo "EXE="; \
- echo ;\
- echo "OCAML_NATIVE=true"; \
- echo "OCAML_NATIVE_TOOLS=true"; \
- echo "NATDYNLINK=true"; \
- echo "SUPPORT_SHARED_LIBRARIES=true"; \
- echo ;\
- echo "PREFIX=/home/opam/.opam/4.07"; \
- echo "BINDIR=/home/opam/.opam/4.07/bin"; \
- echo "LIBDIR=/home/opam/.opam/4.07/lib"; \
- echo "MANDIR=/home/opam/.opam/4.07/man"; \
- ) > Makefile.config
- (echo "(* This file was generated from ../configure.make *)"; \
- echo ;\
- echo 'let bindir = "/home/opam/.opam/4.07/bin"'; \
- echo 'let libdir = "/home/opam/.opam/4.07/lib"'; \
- echo 'let ocaml_libdir = "/home/opam/.opam/4.07/lib/ocaml"'; \
- echo 'let libdir_abs = "/home/opam/.opam/4.07/lib"'; \
- echo 'let ocaml_native = true'; \
- echo 'let ocaml_native_tools = true'; \
- echo 'let supports_shared_libraries = true';\
- echo 'let a = "a"'; \
- echo 'let o = "o"'; \
- echo 'let so = "so"'; \
- echo 'let ext_dll = ".so"'; \
- echo 'let exe = ""'; \
- echo 'let version = "0.14.0"'; \
- ) > src/ocamlbuild_config.ml
- (echo "# This file was generated from configure.make"; \
- echo ;\
- echo "OCAML_PREFIX=/home/opam/.opam/4.07"; \
- echo "OCAML_BINDIR=/home/opam/.opam/4.07/bin"; \
- echo "OCAML_LIBDIR=/home/opam/.opam/4.07/lib/ocaml"; \
- echo "OCAML_MANDIR=/home/opam/.opam/4.07/man"; \
- echo ;\
- echo "EXT_OBJ=.o"; \
- echo "EXT_ASM=.s"; \
- echo "EXT_LIB=.a"; \
- echo "EXT_DLL=.so"; \
- echo "EXE="; \
- echo ;\
- echo "OCAML_NATIVE=true"; \
- echo "OCAML_NATIVE_TOOLS=true"; \
- echo "NATDYNLINK=true"; \
- echo "SUPPORT_SHARED_LIBRARIES=true"; \
- echo ;\
- echo "PREFIX=/home/opam/.opam/4.07"; \
- echo "BINDIR=/home/opam/.opam/4.07/bin"; \
- echo "LIBDIR=/home/opam/.opam/4.07/lib"; \
- echo "MANDIR=/home/opam/.opam/4.07/man"; \
- ) > Makefile.config
- (echo "(* This file was generated from ../configure.make *)"; \
- echo ;\
- echo 'let bindir = "/home/opam/.opam/4.07/bin"'; \
- echo 'let libdir = "/home/opam/.opam/4.07/lib"'; \
- echo 'let ocaml_libdir = "/home/opam/.opam/4.07/lib/ocaml"'; \
- echo 'let libdir_abs = "/home/opam/.opam/4.07/lib"'; \
- echo 'let ocaml_native = true'; \
- echo 'let ocaml_native_tools = true'; \
- echo 'let supports_shared_libraries = true';\
- echo 'let a = "a"'; \
- echo 'let o = "o"'; \
- echo 'let so = "so"'; \
- echo 'let ext_dll = ".so"'; \
- echo 'let exe = ""'; \
- echo 'let version = "0.14.0"'; \
- ) > src/ocamlbuild_config.ml
Processing 39/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved parsexp.v0.11.0  (cached)
Processing 40/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_assert.v0.11.0  (cached)
Processing 41/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_base.v0.11.0  (cached)
Processing 42/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_bench.v0.11.0  (cached)
Processing 43/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_bin_prot.v0.11.1  (cached)
Processing 44/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_compare.v0.11.1  (cached)
Processing 45/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_custom_printf.v0.11.0  (cached)
Processing 46/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_derivers.1.2.1  (cached)
Processing 47/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_enumerate.v0.11.1  (cached)
Processing 48/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_expect.v0.11.1  (cached)
Processing 49/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_fail.v0.11.0  (cached)
Processing 50/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_fields_conv.v0.11.0  (cached)
Processing 51/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_hash.v0.11.1  (cached)
Processing 52/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_here.v0.11.0  (cached)
Processing 53/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_inline_test.v0.11.0  (cached)
Processing 54/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_jane.v0.11.0  (cached)
Processing 55/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_js_style.v0.11.0  (cached)
Processing 56/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_let.v0.11.0  (cached)
Processing 57/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_optcomp.v0.11.0  (cached)
Processing 58/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_optional.v0.11.0  (cached)
Processing 59/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_pipebang.v0.11.0  (cached)
Processing 60/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "-bindir" "/home/opam/.opam/4.07/bin" "-sitelib" "/home/opam/.opam/4.07/lib" "-mandir" "/home/opam/.opam/4.07/man" "-config" "/home/opam/.opam/4.07/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1)
- Welcome to findlib version 1.9.1
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: found
- num: not present (normal since 4.06)
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found
- raw_spacetime: found
- threads: found
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for graphics written to site-lib-src/graphics/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.07/lib/ocaml
-     Binaries:              /home/opam/.opam/4.07/bin
-     Manual pages:          /home/opam/.opam/4.07/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.07/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.07/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.07/bin
-     Manual pages:          /home/opam/.opam/4.07/man
-     topfind script:        /home/opam/.opam/4.07/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
- Welcome to findlib version 1.9.1
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: found
- num: not present (normal since 4.06)
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found
- raw_spacetime: found
- threads: found
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for graphics written to site-lib-src/graphics/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.07/lib/ocaml
-     Binaries:              /home/opam/.opam/4.07/bin
-     Manual pages:          /home/opam/.opam/4.07/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.07/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.07/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.07/bin
-     Manual pages:          /home/opam/.opam/4.07/man
-     topfind script:        /home/opam/.opam/4.07/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing 60/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_conv.v0.11.2  (cached)
Processing 61/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_message.v0.11.0  (cached)
Processing 62/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_value.v0.11.0  (cached)
Processing 63/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_typerep_conv.v0.11.1  (cached)
Processing 64/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_variants_conv.v0.11.1  (cached)
Processing 65/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved protocol_version_header.v0.11.0  (cached)
Processing 66/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppxlib.0.8.1  (cached)
Processing 67/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved re.1.9.0  (cached)
Processing 68/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
Processing 69/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
Processing 70/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> installed seq.base
Processing 71/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved re2.v0.11.0  (cached)
Processing 72/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved result.1.5  (cached)
Processing 73/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sexp_pretty.v0.11.0  (cached)
Processing 74/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sexplib.v0.11.0  (cached)
Processing 75/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sexplib0.v0.11.0  (cached)
Processing 76/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved spawn.v0.13.0  (cached)
Processing 77/226: [sequencer_table.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
Processing 77/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved splittable_random.v0.11.0  (cached)
Processing 78/226: [textutils.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved stdio.v0.11.0  (cached)
Processing 79/226: [textutils.v0.11.0: http] [textutils_kernel.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sequencer_table.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/sequencer_table-v0.11.0.tar.gz)
Processing 80/226: [textutils.v0.11.0: http] [textutils_kernel.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved typerep.v0.11.0  (cached)
Processing 81/226: [textutils.v0.11.0: http] [textutils_kernel.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved variantslib.v0.11.0  (cached)
Processing 81/226: [textutils_kernel.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved textutils.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/textutils-v0.11.0.tar.gz)
Processing 81/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved textutils_kernel.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/textutils_kernel-v0.11.0.tar.gz)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1)
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.07/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.07/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque -c findlib.mli
- ocamlc -I +compiler-libs -opaque -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque -g -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque -c topfind.mli
- ocamlc -I +compiler-libs -opaque -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.07/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.07/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.07/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.07/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque -c findlib.mli
- ocamlc -I +compiler-libs -opaque -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque -g -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque -c topfind.mli
- ocamlc -I +compiler-libs -opaque -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.07/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.07/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
Processing 81/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "opt" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
-> compiled  ocamlfind.1.9.1
Processing 81/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 82/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1)
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.07/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.07/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi \
-       fi \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- mkdir -p "/home/opam/.opam/4.07/bin"
- mkdir -p "/home/opam/.opam/4.07/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "`dirname \"/home/opam/.opam/4.07/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.07/lib/findlib.conf" || cp findlib.conf "/home/opam/.opam/4.07/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.07/lib/findlib"
- mkdir -p "/home/opam/.opam/4.07/bin"
- test 1 -eq 0 || cp topfind "/home/opam/.opam/4.07/lib/ocaml"
- files=` ../../tools/collect_files ../../Makefile.config findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs topfind.cmi topfind.mli fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi META` && \
- cp $files "/home/opam/.opam/4.07/lib/findlib"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- cp $f "/home/opam/.opam/4.07/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.07/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.07/lib/ocaml/compiler-libs/"; \
-     cp topdirs.cmi toploop.cmi "/home/opam/.opam/4.07/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- for x in bigarray bytes compiler-libs dynlink graphics ocamldoc raw_spacetime stdlib str threads unix ; do mkdir -p "/home/opam/.opam/4.07/lib/$x"; cp site-lib-src/$x/META "/home/opam/.opam/4.07/lib/$x"; done
- mkdir -p "/home/opam/.opam/4.07/lib/findlib"; cp Makefile.packages "/home/opam/.opam/4.07/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- test ! -f 'site-lib-src/camlp4/META' ||	cp tools/safe_camlp4 "/home/opam/.opam/4.07/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "/home/opam/.opam/4.07/man/man1" "/home/opam/.opam/4.07/man/man3" "/home/opam/.opam/4.07/man/man5"
- cp doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.07/man/man1"
- cp doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.07/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.07/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.07/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi \
-       fi \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- mkdir -p "/home/opam/.opam/4.07/bin"
- mkdir -p "/home/opam/.opam/4.07/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "`dirname \"/home/opam/.opam/4.07/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.07/lib/findlib.conf" || cp findlib.conf "/home/opam/.opam/4.07/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.07/lib/findlib"
- mkdir -p "/home/opam/.opam/4.07/bin"
- test 1 -eq 0 || cp topfind "/home/opam/.opam/4.07/lib/ocaml"
- files=` ../../tools/collect_files ../../Makefile.config findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs topfind.cmi topfind.mli fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi META` && \
- cp $files "/home/opam/.opam/4.07/lib/findlib"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- cp $f "/home/opam/.opam/4.07/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.07/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.07/lib/ocaml/compiler-libs/"; \
-     cp topdirs.cmi toploop.cmi "/home/opam/.opam/4.07/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- for x in bigarray bytes compiler-libs dynlink graphics ocamldoc raw_spacetime stdlib str threads unix ; do mkdir -p "/home/opam/.opam/4.07/lib/$x"; cp site-lib-src/$x/META "/home/opam/.opam/4.07/lib/$x"; done
- mkdir -p "/home/opam/.opam/4.07/lib/findlib"; cp Makefile.packages "/home/opam/.opam/4.07/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- test ! -f 'site-lib-src/camlp4/META' ||	cp tools/safe_camlp4 "/home/opam/.opam/4.07/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "/home/opam/.opam/4.07/man/man1" "/home/opam/.opam/4.07/man/man3" "/home/opam/.opam/4.07/man/man5"
- cp doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.07/man/man1"
- cp doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.07/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlfind.1.9.1'
-> installed ocamlfind.1.9.1
Processing 82/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 83/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 84/226: [dune: ocaml bootstrap.ml] [num: make] [ocamlbuild: make check-if-preinstalled]
-> installed base-bytes.base
Processing 85/226: [dune: ocaml bootstrap.ml] [num: make] [ocamlbuild: make check-if-preinstalled]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.07/.opam-switch/build/num.1.4)
- make -C src all
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- ocamlc -ccopt -DBNG_ARCH_amd64 -c bng.c
- ocamlc -ccopt -DBNG_ARCH_amd64 -c nat_stubs.c
- ocamlmklib -oc nums bng.o nat_stubs.o
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo ratio.cmo num.cmo arith_status.cmo
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -I . -shared -o nums.cmxs nums.cmxa
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- make -C toplevel all
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -a -o num_top.cma num_top_printers.cmo num_top.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- make -C src all
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- ocamlc -ccopt -DBNG_ARCH_amd64 -c bng.c
- ocamlc -ccopt -DBNG_ARCH_amd64 -c nat_stubs.c
- ocamlmklib -oc nums bng.o nat_stubs.o
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo ratio.cmo num.cmo arith_status.cmo
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -I . -shared -o nums.cmxs nums.cmxa
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- make -C toplevel all
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -a -o num_top.cma num_top_printers.cmo num_top.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
-> compiled  num.1.4
Processing 85/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 86/226: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [num: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "check-if-preinstalled" "all" "opam-install" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0)
- if test -d /home/opam/.opam/4.07/lib/ocaml/ocamlbuild; then\
-   >&2 echo "ERROR: Preinstalled ocamlbuild detected at"\
-        "/home/opam/.opam/4.07/lib/ocaml/ocamlbuild";\
-   >&2 echo "Installation aborted; if you want to bypass this"\
-         "safety check, pass CHECK_IF_PREINSTALLED=false to make";\
-   exit 2;\
- fi
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/signatures.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamllex.opt src/glob_lexer.mll
- 55 states, 419 transitions, table size 2006 bytes
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamllex.opt src/lexers.mll
- 251 states, 1051 transitions, table size 5710 bytes
- 4334 additional bytes used for bindings
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlc.opt -pack src/const.cmo src/loc.cmo src/discard_printf.cmo src/signatures.cmi src/my_std.cmo src/my_unix.cmo src/tags.cmo src/display.cmo src/log.cmo src/shell.cmo src/bool.cmo src/glob_ast.cmo src/glob_lexer.cmo src/glob.cmo src/lexers.cmo src/param_tags.cmo src/command.cmo src/ocamlbuild_config.cmo src/ocamlbuild_where.cmo src/slurp.cmo src/options.cmo src/pathname.cmo src/configuration.cmo src/flags.cmo src/hygiene.cmo src/digest_cache.cmo src/resource.cmo src/rule.cmo src/solver.cmo src/report.cmo src/tools.cmo src/fda.cmo src/findlib.cmo src/ocaml_arch.cmo src/ocaml_utils.cmo src/ocaml_dependencies.cmo src/ocaml_compiler.cmo src/ocaml_tools.cmo src/ocaml_specific.cmo src/exit_codes.cmo src/plugin.cmo src/hooks.cmo src/main.cmo -o tmp/ocamlbuild_pack.cmo
- mv tmp/ocamlbuild_pack.cmi src/ocamlbuild_pack.cmi
- mv tmp/ocamlbuild_pack.cmo src/ocamlbuild_pack.cmo
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.ml
- ocamlc.opt -I +unix -I src -o ocamlbuild.byte unix.cma src/ocamlbuild_pack.cmo src/ocamlbuild_plugin.cmo src/ocamlbuild_executor.cmo src/ocamlbuild_unix_plugin.cmo src/ocamlbuild.cmo
- ocamlc.opt -a -o src/ocamlbuildlib.cma src/ocamlbuild_pack.cmo src/ocamlbuild_plugin.cmo src/ocamlbuild_executor.cmo src/ocamlbuild_unix_plugin.cmo
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlopt.opt -pack src/const.cmx src/loc.cmx src/discard_printf.cmx src/signatures.cmi src/my_std.cmx src/my_unix.cmx src/tags.cmx src/display.cmx src/log.cmx src/shell.cmx src/bool.cmx src/glob_ast.cmx src/glob_lexer.cmx src/glob.cmx src/lexers.cmx src/param_tags.cmx src/command.cmx src/ocamlbuild_config.cmx src/ocamlbuild_where.cmx src/slurp.cmx src/options.cmx src/pathname.cmx src/configuration.cmx src/flags.cmx src/hygiene.cmx src/digest_cache.cmx src/resource.cmx src/rule.cmx src/solver.cmx src/report.cmx src/tools.cmx src/fda.cmx src/findlib.cmx src/ocaml_arch.cmx src/ocaml_utils.cmx src/ocaml_dependencies.cmx src/ocaml_compiler.cmx src/ocaml_tools.cmx src/ocaml_specific.cmx src/exit_codes.cmx src/plugin.cmx src/hooks.cmx src/main.cmx -o tmp/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.cmx src/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.o src/ocamlbuild_pack.o
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.ml
- ocamlopt.opt -I +unix -I src -o ocamlbuild.native unix.cmxa src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx src/ocamlbuild.cmx
- ocamlopt.opt -a -o src/ocamlbuildlib.cmxa src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx
- ocamlc.opt src/ocamlbuild_pack.cmo -I src man/options_man.ml -o man/options_man.byte
- ./man/options_man.byte > man/ocamlbuild.options.1
- cat man/ocamlbuild.header.1 man/ocamlbuild.options.1 man/ocamlbuild.footer.1 > man/ocamlbuild.1
- make ocamlbuild.install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- rm -f ocamlbuild.install
- touch ocamlbuild.install
- make install-bin-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'bin: [' >> ocamlbuild.install
- echo '  "ocamlbuild.byte" {"ocamlbuild.byte"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild.native"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'lib: [' >> ocamlbuild.install
- make install-lib-basics-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo '  "ocamlbuild.opam" {"opam"}' >> ocamlbuild.install
- echo '  "META"' >> ocamlbuild.install
- for lib in src/signatures.mli src/signatures.cmi src/signatures.cmti; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-byte-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- for lib in src/ocamlbuildlib.cma src/ocamlbuild.cmo src/ocamlbuild_pack.cmi src/ocamlbuild_plugin.cmi src/ocamlbuild_executor.cmi src/ocamlbuild_unix_plugin.cmi; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-native-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- for lib in src/ocamlbuildlib.cmxa src/ocamlbuildlib.a src/ocamlbuild.cmx src/ocamlbuild.o src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx src/ocamlbuild_plugin.o src/ocamlbuild_executor.o src/ocamlbuild_unix_plugin.o; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-man-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'man: [' >> ocamlbuild.install
- echo '  "man/ocamlbuild.1" {"man1/ocamlbuild.1"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-doc-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'doc: [' >> ocamlbuild.install
- echo '  "LICENSE"' >> ocamlbuild.install
- echo '  "Changes"' >> ocamlbuild.install
- echo '  "Readme.md"' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- if test -d /home/opam/.opam/4.07/lib/ocaml/ocamlbuild; then\
-   >&2 echo "ERROR: Preinstalled ocamlbuild detected at"\
-        "/home/opam/.opam/4.07/lib/ocaml/ocamlbuild";\
-   >&2 echo "Installation aborted; if you want to bypass this"\
-         "safety check, pass CHECK_IF_PREINSTALLED=false to make";\
-   exit 2;\
- fi
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/signatures.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamllex.opt src/glob_lexer.mll
- 55 states, 419 transitions, table size 2006 bytes
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamllex.opt src/lexers.mll
- 251 states, 1051 transitions, table size 5710 bytes
- 4334 additional bytes used for bindings
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlc.opt -pack src/const.cmo src/loc.cmo src/discard_printf.cmo src/signatures.cmi src/my_std.cmo src/my_unix.cmo src/tags.cmo src/display.cmo src/log.cmo src/shell.cmo src/bool.cmo src/glob_ast.cmo src/glob_lexer.cmo src/glob.cmo src/lexers.cmo src/param_tags.cmo src/command.cmo src/ocamlbuild_config.cmo src/ocamlbuild_where.cmo src/slurp.cmo src/options.cmo src/pathname.cmo src/configuration.cmo src/flags.cmo src/hygiene.cmo src/digest_cache.cmo src/resource.cmo src/rule.cmo src/solver.cmo src/report.cmo src/tools.cmo src/fda.cmo src/findlib.cmo src/ocaml_arch.cmo src/ocaml_utils.cmo src/ocaml_dependencies.cmo src/ocaml_compiler.cmo src/ocaml_tools.cmo src/ocaml_specific.cmo src/exit_codes.cmo src/plugin.cmo src/hooks.cmo src/main.cmo -o tmp/ocamlbuild_pack.cmo
- mv tmp/ocamlbuild_pack.cmi src/ocamlbuild_pack.cmi
- mv tmp/ocamlbuild_pack.cmo src/ocamlbuild_pack.cmo
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.ml
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.mli
- ocamlc.opt -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.ml
- ocamlc.opt -I +unix -I src -o ocamlbuild.byte unix.cma src/ocamlbuild_pack.cmo src/ocamlbuild_plugin.cmo src/ocamlbuild_executor.cmo src/ocamlbuild_unix_plugin.cmo src/ocamlbuild.cmo
- ocamlc.opt -a -o src/ocamlbuildlib.cma src/ocamlbuild_pack.cmo src/ocamlbuild_plugin.cmo src/ocamlbuild_executor.cmo src/ocamlbuild_unix_plugin.cmo
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlopt.opt -pack src/const.cmx src/loc.cmx src/discard_printf.cmx src/signatures.cmi src/my_std.cmx src/my_unix.cmx src/tags.cmx src/display.cmx src/log.cmx src/shell.cmx src/bool.cmx src/glob_ast.cmx src/glob_lexer.cmx src/glob.cmx src/lexers.cmx src/param_tags.cmx src/command.cmx src/ocamlbuild_config.cmx src/ocamlbuild_where.cmx src/slurp.cmx src/options.cmx src/pathname.cmx src/configuration.cmx src/flags.cmx src/hygiene.cmx src/digest_cache.cmx src/resource.cmx src/rule.cmx src/solver.cmx src/report.cmx src/tools.cmx src/fda.cmx src/findlib.cmx src/ocaml_arch.cmx src/ocaml_utils.cmx src/ocaml_dependencies.cmx src/ocaml_compiler.cmx src/ocaml_tools.cmx src/ocaml_specific.cmx src/exit_codes.cmx src/plugin.cmx src/hooks.cmx src/main.cmx -o tmp/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.cmx src/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.o src/ocamlbuild_pack.o
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_executor.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_unix_plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild.ml
- ocamlopt.opt -I +unix -I src -o ocamlbuild.native unix.cmxa src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx src/ocamlbuild.cmx
- ocamlopt.opt -a -o src/ocamlbuildlib.cmxa src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx
- ocamlc.opt src/ocamlbuild_pack.cmo -I src man/options_man.ml -o man/options_man.byte
- ./man/options_man.byte > man/ocamlbuild.options.1
- cat man/ocamlbuild.header.1 man/ocamlbuild.options.1 man/ocamlbuild.footer.1 > man/ocamlbuild.1
- make ocamlbuild.install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- rm -f ocamlbuild.install
- touch ocamlbuild.install
- make install-bin-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'bin: [' >> ocamlbuild.install
- echo '  "ocamlbuild.byte" {"ocamlbuild.byte"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild.native"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'lib: [' >> ocamlbuild.install
- make install-lib-basics-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo '  "ocamlbuild.opam" {"opam"}' >> ocamlbuild.install
- echo '  "META"' >> ocamlbuild.install
- for lib in src/signatures.mli src/signatures.cmi src/signatures.cmti; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-byte-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- for lib in src/ocamlbuildlib.cma src/ocamlbuild.cmo src/ocamlbuild_pack.cmi src/ocamlbuild_plugin.cmi src/ocamlbuild_executor.cmi src/ocamlbuild_unix_plugin.cmi; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-lib-native-opam
- make[3]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- for lib in src/ocamlbuildlib.cmxa src/ocamlbuildlib.a src/ocamlbuild.cmx src/ocamlbuild.o src/ocamlbuild_pack.cmx src/ocamlbuild_plugin.cmx src/ocamlbuild_executor.cmx src/ocamlbuild_unix_plugin.cmx src/ocamlbuild_plugin.o src/ocamlbuild_executor.o src/ocamlbuild_unix_plugin.o; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-man-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'man: [' >> ocamlbuild.install
- echo '  "man/ocamlbuild.1" {"man1/ocamlbuild.1"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make install-doc-opam
- make[2]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- echo 'doc: [' >> ocamlbuild.install
- echo '  "LICENSE"' >> ocamlbuild.install
- echo '  "Changes"' >> ocamlbuild.install
- echo '  "Readme.md"' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/ocamlbuild.0.14.0'
-> compiled  ocamlbuild.0.14.0
Processing 86/226: [dune: ocaml bootstrap.ml] [num: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.07/.opam-switch/build/num.1.4)
- make -C src install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- install -d /home/opam/.opam/4.07/lib/ocaml
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num META
- Installed /home/opam/.opam/4.07/lib/num/META
- rm -f META
- install -m 644 nums.cma libnums.a big_int.cmi nat.cmi num.cmi ratio.cmi arith_status.cmi big_int.mli nat.mli num.mli ratio.mli arith_status.mli big_int.cmti nat.cmti num.cmti ratio.cmti arith_status.cmti nums.cmxa nums.a int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx nums.cmxs /home/opam/.opam/4.07/lib/ocaml
- install -d /home/opam/.opam/4.07/lib/ocaml/stublibs
- install dllnums.so /home/opam/.opam/4.07/lib/ocaml/stublibs
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- make -C toplevel install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num-top META num_top.cma num_top.cmi num_top_printers.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top_printers.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top.cma
- Installed /home/opam/.opam/4.07/lib/num-top/META
- rm -f META
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- make -C src install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- install -d /home/opam/.opam/4.07/lib/ocaml
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num META
- Installed /home/opam/.opam/4.07/lib/num/META
- rm -f META
- install -m 644 nums.cma libnums.a big_int.cmi nat.cmi num.cmi ratio.cmi arith_status.cmi big_int.mli nat.mli num.mli ratio.mli arith_status.mli big_int.cmti nat.cmti num.cmti ratio.cmti arith_status.cmti nums.cmxa nums.a int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx nums.cmxs /home/opam/.opam/4.07/lib/ocaml
- install -d /home/opam/.opam/4.07/lib/ocaml/stublibs
- install dllnums.so /home/opam/.opam/4.07/lib/ocaml/stublibs
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/src'
- make -C toplevel install
- make[1]: Entering directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num-top META num_top.cma num_top.cmi num_top_printers.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top_printers.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top.cmi
- Installed /home/opam/.opam/4.07/lib/num-top/num_top.cma
- Installed /home/opam/.opam/4.07/lib/num-top/META
- rm -f META
- make[1]: Leaving directory '/home/opam/.opam/4.07/.opam-switch/build/num.1.4/toplevel'
-> installed num.1.4
Processing 86/226: [dune: ocaml bootstrap.ml]
-> installed ocamlbuild.0.14.0
Processing 87/226: [dune: ocaml bootstrap.ml]
Processing 88/226: [dune: ocaml bootstrap.ml] [inotify: ocaml setup.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "setup.ml" "-configure" "--disable-lwt" "--prefix" "/home/opam/.opam/4.07" (CWD=/home/opam/.opam/4.07/.opam-switch/build/inotify.2.3)
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.07/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.07/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.07/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.07/bin/ocamlbuild
- Package name: ........................................ inotify
- Package version: ..................................... 2.3
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.07.1
- standard_library_default: ............................ /home/opam/.opam/4.07/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.07/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.07/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -O2 -fno-strict-aliasing -fwrapv -fcommon -fPIC -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- native_c_compiler: ................................... gcc -O2 -fno-strict-aliasing -fwrapv -fcommon -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.07
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.1
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Build the Lwt wrapper: ............................... false
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_unix: ............................................ /home/opam/.opam/4.07/lib/ocaml
- pkg_bytes: ........................................... /home/opam/.opam/4.07/lib/bytes
- ocamldoc: ............................................ /home/opam/.opam/4.07/bin/ocamldoc
- 
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.07/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.07/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.07/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.07/bin/ocamlbuild
- Package name: ........................................ inotify
- Package version: ..................................... 2.3
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.07.1
- standard_library_default: ............................ /home/opam/.opam/4.07/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.07/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.07/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -O2 -fno-strict-aliasing -fwrapv -fcommon -fPIC -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- native_c_compiler: ................................... gcc -O2 -fno-strict-aliasing -fwrapv -fcommon -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.07
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.1
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Build the Lwt wrapper: ............................... false
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_unix: ............................................ /home/opam/.opam/4.07/lib/ocaml
- pkg_bytes: ........................................... /home/opam/.opam/4.07/lib/bytes
- ocamldoc: ............................................ /home/opam/.opam/4.07/bin/ocamldoc
- 
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "setup.ml" "-build" (CWD=/home/opam/.opam/4.07/.opam-switch/build/inotify.2.3)
- /home/opam/.opam/4.07/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.07/lib/ocamlbuild /home/opam/.opam/4.07/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.07/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- File "_tags", line 25, characters 18-25:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 26, characters 18-30:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 31, characters 39-52:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 32, characters 39-48:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 39, characters 43-56:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 40, characters 43-50:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 41, characters 43-55:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 42, characters 43-52:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 47, characters 23-36:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 48, characters 23-30:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 49, characters 23-35:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 50, characters 23-32:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -g -c lib/inotify_stubs.c
- mv inotify_stubs.o lib/inotify_stubs.o
- /home/opam/.opam/4.07/bin/ocamlfind ocamlmklib -o lib/inotify_stubs -g lib/inotify_stubs.o
- /home/opam/.opam/4.07/bin/ocamlfind ocamldep -package bytes -package unix -modules lib/inotify.mli > lib/inotify.mli.depends
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmi lib/inotify.mli
- /home/opam/.opam/4.07/bin/ocamlfind ocamldep -package bytes -package unix -modules lib/inotify.ml > lib/inotify.ml.depends
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmo lib/inotify.ml
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -a -dllib -linotify_stubs -cclib -linotify_stubs -I lib lib/inotify.cmo -o lib/inotify.cma
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmx lib/inotify.ml
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -a -cclib -linotify_stubs -I lib lib/inotify.cmx -o lib/inotify.cmxa
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -shared -I lib -I lib lib/inotify.cmxa lib/inotify.cmx -o lib/inotify.cmxs
- /home/opam/.opam/4.07/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.07/lib/ocamlbuild /home/opam/.opam/4.07/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.07/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- File "_tags", line 25, characters 18-25:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 26, characters 18-30:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 31, characters 39-52:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 32, characters 39-48:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 39, characters 43-56:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 40, characters 43-50:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 41, characters 43-55:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 42, characters 43-52:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 47, characters 23-36:
- Warning: the tag "pkg_fileutils" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 48, characters 23-30:
- Warning: the tag "pkg_lwt" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 49, characters 23-35:
- Warning: the tag "pkg_lwt.unix" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- File "_tags", line 50, characters 23-32:
- Warning: the tag "pkg_oUnit" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -g -c lib/inotify_stubs.c
- mv inotify_stubs.o lib/inotify_stubs.o
- /home/opam/.opam/4.07/bin/ocamlfind ocamlmklib -o lib/inotify_stubs -g lib/inotify_stubs.o
- /home/opam/.opam/4.07/bin/ocamlfind ocamldep -package bytes -package unix -modules lib/inotify.mli > lib/inotify.mli.depends
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmi lib/inotify.mli
- /home/opam/.opam/4.07/bin/ocamlfind ocamldep -package bytes -package unix -modules lib/inotify.ml > lib/inotify.ml.depends
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmo lib/inotify.ml
- /home/opam/.opam/4.07/bin/ocamlfind ocamlc -a -dllib -linotify_stubs -cclib -linotify_stubs -I lib lib/inotify.cmo -o lib/inotify.cma
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -I lib -package bytes -package unix -I lib -o lib/inotify.cmx lib/inotify.ml
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -a -cclib -linotify_stubs -I lib lib/inotify.cmx -o lib/inotify.cmxa
- /home/opam/.opam/4.07/bin/ocamlfind ocamlopt -shared -I lib -I lib lib/inotify.cmxa lib/inotify.cmx -o lib/inotify.cmxs
-> compiled  inotify.2.3
Processing 88/226: [dune: ocaml bootstrap.ml]
Processing 89/226: [dune: ocaml bootstrap.ml] [inotify: ocaml setup.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "ocaml" "setup.ml" "-install" (CWD=/home/opam/.opam/4.07/.opam-switch/build/inotify.2.3)
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.mli
- Installed /home/opam/.opam/4.07/lib/inotify/libinotify_stubs.a
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cma
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmxa
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.a
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmxs
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmi
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmti
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmt
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.annot
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmx
- Installed /home/opam/.opam/4.07/lib/stublibs/dllinotify_stubs.so
- Installed /home/opam/.opam/4.07/lib/stublibs/dllinotify_stubs.so.owner
- ocamlfind: [WARNING] You have installed DLLs but the directory /home/opam/.opam/4.07/lib/stublibs is not mentioned in ld.conf
- Installed /home/opam/.opam/4.07/lib/inotify/META
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.mli
- Installed /home/opam/.opam/4.07/lib/inotify/libinotify_stubs.a
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cma
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmxa
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.a
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmxs
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmi
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmti
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmt
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.annot
- Installed /home/opam/.opam/4.07/lib/inotify/inotify.cmx
- Installed /home/opam/.opam/4.07/lib/stublibs/dllinotify_stubs.so
- Installed /home/opam/.opam/4.07/lib/stublibs/dllinotify_stubs.so.owner
- ocamlfind: [WARNING] You have installed DLLs but the directory /home/opam/.opam/4.07/lib/stublibs is not mentioned in ld.conf
- Installed /home/opam/.opam/4.07/lib/inotify/META
-> installed inotify.2.3
Processing 89/226: [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "bootstrap.ml" (CWD=/home/opam/.opam/4.07/.opam-switch/build/dune.1.11.4)
- cp src/ocaml-syntax-shims/pp.real.ml src/ocaml-syntax-shims/pp.ml
- cp src/ocaml-syntax-shims/shims.406.ml src/ocaml-syntax-shims/shims.ml
- /home/opam/.opam/4.07/bin/ocamllex.opt -q src/ocaml-syntax-shims/let_trail.mll
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules src/ocaml-syntax-shims/let_trail.mli src/ocaml-syntax-shims/let_trail.ml src/ocaml-syntax-shims/pp.ml src/ocaml-syntax-shims/shims.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamlopt.opt -g -w -40 -o boot-pp.exe -I +compiler-libs ocamlcommon.cmxa boot_pp.ml
- /home/opam/.opam/4.07/bin/ocamllex.opt -q src/ocamlobjinfo.mll
- /home/opam/.opam/4.07/bin/ocamllex.opt -q src/meta_lexer.mll
- /home/opam/.opam/4.07/bin/ocamllex.opt -q src/dune_lexer.mll
- /home/opam/.opam/4.07/bin/ocamllex.opt -q src/dune_lang/dune_lexer.mll
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/action.mli src/action.ml src/action_ast.ml src/action_dune_lang.mli src/action_dune_lang.ml src/action_exec.mli src/action_exec.ml src/action_intf.ml src/action_mapper.mli src/action_mapper.ml src/action_to_sh.mli src/action_to_sh.boot.ml src/action_unexpanded.mli src/action_unexpanded.ml src/alias.mli src/alias.ml src/artifact_substitution.mli src/artifact_substitution.ml src/artifacts.mli src/artifacts.ml src/binary_kind.mli src/binary_kind.ml src/bindings.mli src/bindings.ml src/blang.mli src/blang.ml src/bootstrap.mli src/bootstrap.boot.ml src/build.mli src/build.ml otherlibs/build-info/src/build_info.mli otherlibs/build-info/src/build_info.ml otherlibs/build-info/src/build_info_data.mli otherlibs/build-info/src/build_info_data.boot.ml src/build_system.mli src/build_system.ml src/c.mli src/c.ml src/c_sources.mli src/c_sources.ml src/cached_digest.mli src/cached_digest.ml src/check_rules.mli src/check_rules.ml src/cinaps.mli src/cinaps.boot.ml src/clflags.mli src/clflags.ml src/cm_files.mli src/cm_files.ml src/cm_kind.mli src/cm_kind.ml src/colors.mli src/colors.ml src/command.mli src/command.ml src/compilation_context.mli src/compilation_context.ml src/config.mli src/config.ml src/context.mli src/context.ml src/coq_module.mli src/coq_module.ml src/coq_rules.mli src/coq_rules.boot.ml src/dep.mli src/dep.ml src/dep_graph.mli src/dep_graph.ml src/dep_path.mli src/dep_path.ml src/dep_rules.mli src/dep_rules.ml src/dialect.mli src/dialect.ml src/diff.mli src/diff.ml src/dir_contents.mli src/dir_contents.ml src/dir_set.mli src/dir_set.ml src/dir_status.mli src/dir_status.ml src/dir_with_dune.mli src/dir_with_dune.ml src/dpath.mli src/dpath.ml src/dune_env.mli src/dune_env.ml src/dune_file.mli src/dune_file.ml src/dune_init.mli src/dune_init.ml src/dune_lexer.mli src/dune_lexer.ml src/dune_load.mli src/dune_load.ml src/dune_package.mli src/dune_package.ml src/dune_project.mli src/dune_project.ml vendor/boot/dune_re.ml src/dynlink_supported.mli src/dynlink_supported.ml src/env_node.mli src/env_node.ml src/exe.mli src/exe.ml src/exe_rules.mli src/exe_rules.ml src/expander.mli src/expander.ml src/file_binding.mli src/file_binding.ml src/file_selector.mli src/file_selector.ml src/file_tree.mli src/file_tree.ml src/findlib.mli src/findlib.ml src/format_dune_lang.mli src/format_dune_lang.ml src/format_rules.mli src/format_rules.ml src/gen_meta.mli src/gen_meta.ml src/gen_rules.mli src/gen_rules.ml src/glob.mli src/glob.ml src/glob_lexer.mli src/glob_lexer.boot.ml src/hooks.mli src/hooks.ml src/import.ml src/inline_tests.mli src/inline_tests.boot.ml src/install.mli src/install.ml src/install_rules.mli src/install_rules.ml src/installed_dune_file.mli src/installed_dune_file.ml src/js_of_ocaml_rules.mli src/js_of_ocaml_rules.boot.ml src/lib.mli src/lib.ml src/lib_archives.mli src/lib_archives.ml src/lib_config.mli src/lib_config.ml src/lib_deps_info.mli src/lib_deps_info.ml src/lib_file_deps.mli src/lib_file_deps.ml src/lib_info.mli src/lib_info.ml src/lib_kind.mli src/lib_kind.ml src/lib_name.mli src/lib_name.ml src/lib_rules.mli src/lib_rules.ml src/link_time_code_gen.mli src/link_time_code_gen.ml src/local_package.mli src/local_package.ml src/main.mli src/main.ml src/menhir.mli src/menhir.boot.ml src/merlin.mli src/merlin.ml src/meta.mli src/meta.ml src/meta_lexer.mli src/meta_lexer.ml src/ml_kind.mli src/ml_kind.ml src/mode.mli src/mode.ml src/module.mli src/module.ml src/module_compilation.mli src/module_compilation.ml src/modules.mli src/modules.ml src/modules_field_evaluator.mli src/modules_field_evaluator.ml src/obj_dir.mli src/obj_dir.ml src/ocaml_flags.mli src/ocaml_flags.ml src/ocaml_version.mli src/ocaml_version.ml src/ocamldep.mli src/ocamldep.ml src/ocamlobjinfo.mli src/ocamlobjinfo.ml src/odoc.mli src/odoc.boot.ml vendor/boot/opamBaseParser.ml vendor/boot/opamLexer.ml vendor/boot/opamParserTypes.ml vendor/boot/opamPrinter.ml src/opam_create.mli src/opam_create.boot.ml src/opam_file.mli src/opam_file.ml src/ordered_set_lang.mli src/ordered_set_lang.ml src/package.mli src/package.ml src/packages.mli src/packages.ml src/per_item.mli src/per_item.ml src/persistent.mli src/persistent.ml src/pform.mli src/pform.ml src/predicate.mli src/predicate.ml src/predicate_lang.mli src/predicate_lang.ml src/preprocessing.mli src/preprocessing.ml src/print_diff.mli src/print_diff.ml src/process.mli src/process.ml src/promotion.mli src/promotion.ml src/report_error.mli src/report_error.ml src/response_file.mli src/response_file.ml src/rule.mli src/rule.ml src/rules.mli src/rules.ml src/scheduler.mli src/scheduler.ml src/scheme.mli src/scheme.ml src/scope.mli src/scope.ml src/setup.mli src/setup.boot.ml src/simple_rules.mli src/simple_rules.ml src/spawn.mli src/spawn.ml src/stanza.mli src/stanza.ml src/static_deps.mli src/static_deps.ml src/stats.mli src/stats.boot.ml src/string_with_vars.mli src/string_with_vars.ml src/sub_dirs.mli src/sub_dirs.ml src/sub_system.mli src/sub_system.ml src/sub_system_info.mli src/sub_system_info.ml src/sub_system_intf.ml src/sub_system_name.mli src/sub_system_name.ml src/super_context.mli src/super_context.ml src/syntax.mli src/syntax.ml src/test_rules.mli src/test_rules.boot.ml src/top_closure.mli src/top_closure.ml src/toplevel.mli src/toplevel.ml src/upgrader.mli src/upgrader.boot.ml src/utils.mli src/utils.ml src/utop.mli src/utop.boot.ml src/value.mli src/value.ml src/variant.mli src/variant.ml src/vcs.mli src/vcs.ml src/versioned_file.mli src/versioned_file.ml src/vimpl.mli src/vimpl.ml src/virtual_rules.mli src/virtual_rules.ml src/visibility.mli src/visibility.ml src/watermarks.mli src/watermarks.ml src/workspace.mli src/workspace.ml src/wrapped.mli src/wrapped.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/dag/dag.mli src/dag/dag.ml src/dag/dag_intf.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/caml/dune_caml.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/dune_lang/dune_lang.mli src/dune_lang/dune_lang.ml src/dune_lang/atom.mli src/dune_lang/atom.ml src/dune_lang/combinators.ml src/dune_lang/dune_lexer.mli src/dune_lang/dune_lexer.ml src/dune_lang/escape.mli src/dune_lang/escape.ml src/dune_lang/file_syntax.mli src/dune_lang/file_syntax.ml src/dune_lang/jbuild_lexer.mli src/dune_lang/jbuild_lexer.boot.ml src/dune_lang/lexer.mli src/dune_lang/lexer.ml src/dune_lang/lexer_shared.mli src/dune_lang/lexer_shared.ml src/dune_lang/template.mli src/dune_lang/template.ml src/dune_lang/types.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/result/dune_result.ml src/stdune/result/result.mli src/stdune/result/result.ml src/stdune/result/result_compat.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/fiber/fiber.mli src/fiber/fiber.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' vendor/incremental-cycles/src/incremental_cycles.mli vendor/incremental-cycles/src/incremental_cycles.ml vendor/incremental-cycles/src/incremental_cycles_intf.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/memo/memo.mli src/memo/memo.ml src/memo/implicit_output.mli src/memo/implicit_output.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/ocaml-config/ocaml_config.mli src/ocaml-config/ocaml_config.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/stdune.ml src/stdune/ansi_color.mli src/stdune/ansi_color.ml src/stdune/appendable_list.mli src/stdune/appendable_list.ml src/stdune/array.ml src/stdune/bin.mli src/stdune/bin.ml src/stdune/bool.mli src/stdune/bool.ml src/stdune/bytes.mli src/stdune/bytes.ml src/stdune/char.ml src/stdune/code_error.mli src/stdune/code_error.ml src/stdune/common.ml src/stdune/comparable.mli src/stdune/comparable.ml src/stdune/comparable_intf.ml src/stdune/comparator.mli src/stdune/comparator.ml src/stdune/console.mli src/stdune/console.ml src/stdune/csexp.mli src/stdune/csexp.ml src/stdune/digest.mli src/stdune/digest.ml src/stdune/dyn.mli src/stdune/dyn.ml src/stdune/either.mli src/stdune/either.ml src/stdune/env.mli src/stdune/env.ml src/stdune/escape.mli src/stdune/escape.ml src/stdune/exn.mli src/stdune/exn.ml src/stdune/exn_with_backtrace.mli src/stdune/exn_with_backtrace.ml src/stdune/fdecl.mli src/stdune/fdecl.ml src/stdune/filename.mli src/stdune/filename.ml src/stdune/float.mli src/stdune/float.ml src/stdune/fmt.mli src/stdune/fmt.ml src/stdune/fn.mli src/stdune/fn.ml src/stdune/hashable.ml src/stdune/hashtbl.mli src/stdune/hashtbl.ml src/stdune/hashtbl_intf.ml src/stdune/id.mli src/stdune/id.ml src/stdune/int.mli src/stdune/int.ml src/stdune/interned.mli src/stdune/interned.ml src/stdune/io.mli src/stdune/io.ml src/stdune/lexbuf.mli src/stdune/lexbuf.ml src/stdune/list.mli src/stdune/list.ml src/stdune/loc.mli src/stdune/loc.ml src/stdune/loc0.ml src/stdune/log.mli src/stdune/log.ml src/stdune/map.mli src/stdune/map.ml src/stdune/map_intf.ml src/stdune/monad.mli src/stdune/monad.ml src/stdune/nothing.mli src/stdune/nothing.ml src/stdune/option.mli src/stdune/option.ml src/stdune/or_exn.mli src/stdune/or_exn.ml src/stdune/ordered.mli src/stdune/ordered.ml src/stdune/ordering.mli src/stdune/ordering.ml src/stdune/path.mli src/stdune/path.ml src/stdune/path_intf.ml src/stdune/poly.mli src/stdune/poly.ml src/stdune/pp.mli src/stdune/pp.ml src/stdune/proc.mli src/stdune/proc.ml src/stdune/result.mli src/stdune/result.ml src/stdune/set.mli src/stdune/set.ml src/stdune/set_intf.ml src/stdune/sexp.mli src/stdune/sexp.ml src/stdune/signal.mli src/stdune/signal.ml src/stdune/staged.mli src/stdune/staged.ml src/stdune/string.mli src/stdune/string.ml src/stdune/string_split.mli src/stdune/string_split.ml src/stdune/table.mli src/stdune/table.ml src/stdune/tuple.mli src/stdune/tuple.ml src/stdune/type_eq.mli src/stdune/type_eq.ml src/stdune/unit.mli src/stdune/unit.ml src/stdune/univ_map.mli src/stdune/univ_map.ml src/stdune/user_error.mli src/stdune/user_error.ml src/stdune/user_message.mli src/stdune/user_message.ml src/stdune/user_warning.mli src/stdune/user_warning.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/wp/wp.mli src/wp/wp.boot.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/xdg/xdg.mli src/xdg/xdg.ml > boot-depends.txt
- /home/opam/.opam/4.07/bin/ocamlc.opt -g -w -40 -o boot.exe -pp './boot-pp.exe -dump-ast' -I +threads unix.cma threads.cma boot.ml
Processing 89/226: [dune: ./boot.exe 31]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./boot.exe" "--release" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/dune.1.11.4)
-> compiled  dune.1.11.4
-> installed dune.1.11.4
Processing 92/226: [ocaml-compiler-libs: dune build]
Processing 93/226: [ocaml-compiler-libs: dune build] [octavius: dune build]
Processing 94/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build]
Processing 95/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build]
Processing 96/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build]
Processing 97/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [spawn: dune build]
-> installed jbuilder.transition
Processing 98/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [spawn: dune build]
Processing 99/226: [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [spawn: dune build]
Processing 100/226: [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: jbuilder build] [spawn: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "jane-street-headers" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/jane-street-headers.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "include/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "include/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  jane-street-headers.v0.11.0
Processing 100/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: jbuilder build] [spawn: dune build]
-> installed jane-street-headers.v0.11.0
Processing 101/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: jbuilder build] [spawn: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_derivers" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_derivers.1.2.1)
-> compiled  ppx_derivers.1.2.1
Processing 101/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [result: dune build] [sexplib0: jbuilder build] [spawn: dune build]
-> installed ppx_derivers.1.2.1
Processing 102/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [result: dune build] [sexplib0: jbuilder build] [spawn: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "result" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/result.1.5)
-> compiled  result.1.5
Processing 102/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [spawn: dune build]
-> installed result.1.5
Processing 103/226: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [spawn: dune build]
Processing 104/226: [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [spawn: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "spawn" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/spawn.v0.13.0)
-> compiled  spawn.v0.13.0
Processing 104/226: [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build]
-> installed spawn.v0.13.0
Processing 105/226: [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sexplib0" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/sexplib0.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  sexplib0.v0.11.0
Processing 105/226: [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build]
-> installed sexplib0.v0.11.0
Processing 106/226: [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build]
Processing 107/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build]
Processing 108/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [parsexp: jbuilder build] [re: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "octavius" "-j" "31" "@install" (CWD=/home/opam/.opam/4.07/.opam-switch/build/octavius.1.2.2)
-> compiled  octavius.1.2.2
Processing 108/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [re: dune build]
-> installed octavius.1.2.2
Processing 109/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [re: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "re" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/re.1.9.0)
-> compiled  re.1.9.0
Processing 109/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build]
-> installed re.1.9.0
Processing 110/226: [base: jbuilder build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocaml-compiler-libs" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocaml-compiler-libs.v0.12.3)
-       ocamlc src/ocaml_optcomp/.ocaml_optcomp.objs/byte/ocaml_optcomp.{cmi,cmo,cmt}
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 12, characters 42-56:
- Warning 49: no cmi file was found in path for module Available_regs
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 85, characters 42-62:
- Warning 49: no cmi file was found in path for module Reg_availability_set
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 86, characters 42-61:
- Warning 49: no cmi file was found in path for module Reg_with_debug_info
-     ocamlopt src/ocaml_optcomp/.ocaml_optcomp.objs/native/ocaml_optcomp.{cmx,o}
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 12, characters 42-56:
- Warning 49: no cmi file was found in path for module Available_regs
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 85, characters 42-62:
- Warning 49: no cmi file was found in path for module Reg_availability_set
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 86, characters 42-61:
- Warning 49: no cmi file was found in path for module Reg_with_debug_info
-       ocamlc src/ocaml_optcomp/.ocaml_optcomp.objs/byte/ocaml_optcomp.{cmi,cmo,cmt}
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 12, characters 42-56:
- Warning 49: no cmi file was found in path for module Available_regs
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 85, characters 42-62:
- Warning 49: no cmi file was found in path for module Reg_availability_set
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 86, characters 42-61:
- Warning 49: no cmi file was found in path for module Reg_with_debug_info
-     ocamlopt src/ocaml_optcomp/.ocaml_optcomp.objs/native/ocaml_optcomp.{cmx,o}
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 12, characters 42-56:
- Warning 49: no cmi file was found in path for module Available_regs
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 85, characters 42-62:
- Warning 49: no cmi file was found in path for module Reg_availability_set
- File "src/ocaml_optcomp/ocaml_optcomp.ml", line 86, characters 42-61:
- Warning 49: no cmi file was found in path for module Reg_with_debug_info
-> compiled  ocaml-compiler-libs.v0.12.3
Processing 110/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build]
-> installed ocaml-compiler-libs.v0.12.3
Processing 111/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "parsexp" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/parsexp.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "fuzz/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "fuzz/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  parsexp.v0.11.0
Processing 111/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build]
-> installed parsexp.v0.11.0
Processing 112/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build]
Processing 113/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build] [sexplib: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sexplib" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/sexplib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "num/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "unix/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "num/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "unix/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  sexplib.v0.11.0
Processing 113/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build]
-> installed sexplib.v0.11.0
Processing 114/226: [base: jbuilder build] [ocaml-migrate-parsetree: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocaml-migrate-parsetree" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ocaml-migrate-parsetree.1.8.0)
-> compiled  ocaml-migrate-parsetree.1.8.0
Processing 114/226: [base: jbuilder build]
-> installed ocaml-migrate-parsetree.1.8.0
Processing 115/226: [base: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "base" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/base.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "compiler-stdlib/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "compiler-stdlib/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "generate/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "lint/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "md5/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shadow-stdlib/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shadow-stdlib/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  base.v0.11.1
-> installed base.v0.11.1
Processing 117/226: [stdio: jbuilder build]
Processing 118/226: [stdio: jbuilder build] [typerep: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "stdio" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/stdio.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  stdio.v0.11.0
Processing 118/226: [typerep: jbuilder build]
-> installed stdio.v0.11.0
Processing 119/226: [typerep: jbuilder build]
Processing 120/226: [configurator: jbuilder build] [typerep: jbuilder build]
Processing 121/226: [configurator: jbuilder build] [ppxlib: dune build] [typerep: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "typerep" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/typerep.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  typerep.v0.11.0
Processing 121/226: [configurator: jbuilder build] [ppxlib: dune build]
-> installed typerep.v0.11.0
Processing 122/226: [configurator: jbuilder build] [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "configurator" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/configurator.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  configurator.v0.11.0
Processing 122/226: [ppxlib: dune build]
-> installed configurator.v0.11.0
Processing 123/226: [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppxlib" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppxlib.0.8.1)
-> compiled  ppxlib.0.8.1
-> installed ppxlib.0.8.1
Processing 125/226: [fieldslib: jbuilder build]
Processing 126/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build]
Processing 127/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build]
Processing 128/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build]
Processing 129/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build]
Processing 130/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build]
Processing 131/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build]
Processing 132/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build]
Processing 133/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build]
Processing 134/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build]
Processing 135/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build]
Processing 136/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
Processing 137/226: [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [variantslib: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "fieldslib" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/fieldslib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  fieldslib.v0.11.0
Processing 137/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [variantslib: jbuilder build]
-> installed fieldslib.v0.11.0
Processing 138/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [variantslib: jbuilder build]
Processing 139/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [variantslib: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "variantslib" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/variantslib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  variantslib.v0.11.0
Processing 139/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
-> installed variantslib.v0.11.0
Processing 140/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
Processing 141/226: [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_compare" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_compare.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_compare.v0.11.1
Processing 141/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_compare.v0.11.1
Processing 142/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_optional" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_optional.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_optional.v0.11.0
Processing 142/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_optional.v0.11.0
Processing 143/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_let" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_let.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_let.v0.11.0
Processing 143/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_let.v0.11.0
Processing 144/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_optcomp" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_optcomp.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_optcomp.v0.11.0
Processing 144/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_optcomp.v0.11.0
Processing 145/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_pipebang" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_pipebang.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_pipebang.v0.11.0
Processing 145/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_pipebang.v0.11.0
Processing 146/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_here" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_here.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_here.v0.11.0
Processing 146/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_here.v0.11.0
Processing 147/226: [ppx_enumerate: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 148/226: [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_conv" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_sexp_conv.v0.11.2)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_conv.v0.11.2
Processing 148/226: [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_sexp_conv.v0.11.2
Processing 149/226: [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 150/226: [ppx_assert: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 151/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 152/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 153/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 154/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_typerep_conv" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_typerep_conv.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_typerep_conv.v0.11.1
Processing 154/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_typerep_conv.v0.11.1
Processing 155/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_enumerate" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_enumerate.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_enumerate.v0.11.1
Processing 155/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_enumerate.v0.11.1
Processing 156/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_fields_conv" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_fields_conv.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_fields_conv.v0.11.0
Processing 156/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_fields_conv.v0.11.0
Processing 157/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_inline_test" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_inline_test.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "drop/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "libname/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "drop/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "libname/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_inline_test.v0.11.0
Processing 157/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_inline_test.v0.11.0
Processing 158/226: [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 159/226: [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_js_style: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_js_style" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_js_style.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_js_style.v0.11.0
Processing 159/226: [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_js_style.v0.11.0
Processing 160/226: [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_variants_conv" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_variants_conv.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_variants_conv.v0.11.1
Processing 160/226: [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_variants_conv.v0.11.1
Processing 161/226: [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_assert" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_assert.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_assert.v0.11.0
Processing 161/226: [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_assert.v0.11.0
Processing 162/226: [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_hash" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_hash.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/siphash/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/siphash/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_hash.v0.11.1
Processing 162/226: [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_hash.v0.11.1
Processing 163/226: [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
Processing 164/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_message" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_sexp_message.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_message.v0.11.0
Processing 164/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_sexp_message.v0.11.0
Processing 165/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_fail" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_fail.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_fail.v0.11.0
Processing 165/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_fail.v0.11.0
Processing 166/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_value" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_sexp_value.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_value.v0.11.0
Processing 166/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build]
-> installed ppx_sexp_value.v0.11.0
Processing 167/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_custom_printf" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_custom_printf.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_custom_printf.v0.11.0
Processing 167/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
-> installed ppx_custom_printf.v0.11.0
Processing 168/226: [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
Processing 169/226: [bin_prot: jbuilder build] [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
Processing 170/226: [bin_prot: jbuilder build] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_bench" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_bench.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_bench.v0.11.0
Processing 170/226: [bin_prot: jbuilder build] [ppx_base: jbuilder build] [ppx_expect: jbuilder build]
-> installed ppx_bench.v0.11.0
Processing 171/226: [bin_prot: jbuilder build] [ppx_base: jbuilder build] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_base" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_base.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_base.v0.11.0
Processing 171/226: [bin_prot: jbuilder build] [ppx_expect: jbuilder build]
-> installed ppx_base.v0.11.0
Processing 172/226: [bin_prot: jbuilder build] [ppx_expect: jbuilder build]
Processing 173/226: [bin_prot: jbuilder build] [ppx_expect: jbuilder build] [sexp_pretty: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "bin_prot" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/bin_prot.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "xen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "xen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  bin_prot.v0.11.0
Processing 173/226: [ppx_expect: jbuilder build] [sexp_pretty: jbuilder build]
-> installed bin_prot.v0.11.0
Processing 174/226: [ppx_expect: jbuilder build] [sexp_pretty: jbuilder build]
Processing 175/226: [ppx_bin_prot: jbuilder build] [ppx_expect: jbuilder build] [sexp_pretty: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_expect" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_expect.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "collector/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "common/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "evaluator/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expect_payload/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "matcher/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/broken-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/no-output-patterns/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc matcher/.expect_test_matcher.objs/byte/expect_test_matcher__Reconcile.{cmo,cmt}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
-     ocamlopt matcher/.expect_test_matcher.objs/native/expect_test_matcher__Reconcile.{cmx,o}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "collector/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "common/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "evaluator/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expect_payload/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "matcher/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/broken-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/no-output-patterns/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc matcher/.expect_test_matcher.objs/byte/expect_test_matcher__Reconcile.{cmo,cmt}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
-     ocamlopt matcher/.expect_test_matcher.objs/native/expect_test_matcher__Reconcile.{cmx,o}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
-> compiled  ppx_expect.v0.11.1
Processing 175/226: [ppx_bin_prot: jbuilder build] [sexp_pretty: jbuilder build]
-> installed ppx_expect.v0.11.1
Processing 176/226: [ppx_bin_prot: jbuilder build] [sexp_pretty: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sexp_pretty" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/sexp_pretty.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/.sexp_pretty.objs/byte/sexp_pretty.{cmo,cmt}
- File "src/sexp_pretty.ml", line 45, characters 12-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 59, characters 13-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 273, characters 22-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 275, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 277, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 279, characters 17-30:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 287, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 288, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 294, characters 13-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 295, characters 15-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 330, characters 12-31:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 334, characters 48-68:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 338, characters 51-71:
- Warning 3: deprecated: module Re_str
- Use Re.Str
-     ocamlopt src/.sexp_pretty.objs/native/sexp_pretty.{cmx,o}
- File "src/sexp_pretty.ml", line 45, characters 12-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 59, characters 13-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 273, characters 22-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 275, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 277, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 279, characters 17-30:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 287, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 288, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 294, characters 13-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 295, characters 15-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 330, characters 12-31:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 334, characters 48-68:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 338, characters 51-71:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/.sexp_pretty.objs/byte/sexp_pretty.{cmo,cmt}
- File "src/sexp_pretty.ml", line 45, characters 12-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 59, characters 13-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 273, characters 22-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 275, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 277, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 279, characters 17-30:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 287, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 288, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 294, characters 13-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 295, characters 15-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 330, characters 12-31:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 334, characters 48-68:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 338, characters 51-71:
- Warning 3: deprecated: module Re_str
- Use Re.Str
-     ocamlopt src/.sexp_pretty.objs/native/sexp_pretty.{cmx,o}
- File "src/sexp_pretty.ml", line 45, characters 12-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 59, characters 13-25:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 273, characters 22-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 275, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 277, characters 19-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 279, characters 17-30:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 287, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 288, characters 30-42:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 294, characters 13-32:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 295, characters 15-35:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 330, characters 12-31:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 334, characters 48-68:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- File "src/sexp_pretty.ml", line 338, characters 51-71:
- Warning 3: deprecated: module Re_str
- Use Re.Str
-> compiled  sexp_pretty.v0.11.0
Processing 176/226: [ppx_bin_prot: jbuilder build]
-> installed sexp_pretty.v0.11.0
Processing 177/226: [ppx_bin_prot: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_bin_prot" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_bin_prot.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expect_tests/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/example0/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_bin_prot.v0.11.1
-> installed ppx_bin_prot.v0.11.1
Processing 179/226: [ppx_jane: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_jane" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/ppx_jane.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "kernel/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_jane.v0.11.0
-> installed ppx_jane.v0.11.0
Processing 181/226: [splittable_random: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "splittable_random" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/splittable_random.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  splittable_random.v0.11.0
-> installed splittable_random.v0.11.0
Processing 183/226: [core_kernel: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "core_kernel" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/core_kernel.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "base_for_tests/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench-bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "replace_caml_modify_for_testing/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test-build-info/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test-build-info/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  core_kernel.v0.11.1
-> installed core_kernel.v0.11.1
Processing 185/226: [async_kernel: jbuilder build]
Processing 186/226: [async_kernel: jbuilder build] [core: jbuilder build]
Processing 187/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build]
Processing 188/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [protocol_version_header: jbuilder build]
Processing 189/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [protocol_version_header: jbuilder build] [re2: jbuilder build]
Processing 190/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [protocol_version_header: jbuilder build] [re2: jbuilder build] [textutils_kernel: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "textutils_kernel" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/textutils_kernel.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  textutils_kernel.v0.11.0
Processing 190/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [protocol_version_header: jbuilder build] [re2: jbuilder build]
-> installed textutils_kernel.v0.11.0
Processing 191/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [protocol_version_header: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "protocol_version_header" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/protocol_version_header.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  protocol_version_header.v0.11.0
Processing 191/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [re2: jbuilder build]
-> installed protocol_version_header.v0.11.0
Processing 192/226: [async_kernel: jbuilder build] [core: jbuilder build] [expect_test_helpers_kernel: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "expect_test_helpers_kernel" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/expect_test_helpers_kernel.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  expect_test_helpers_kernel.v0.11.0
Processing 192/226: [async_kernel: jbuilder build] [core: jbuilder build] [re2: jbuilder build]
-> installed expect_test_helpers_kernel.v0.11.0
Processing 193/226: [async_kernel: jbuilder build] [core: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_kernel" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_kernel.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-          ppx src/async_gc.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_array.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_stream.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_list.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_list.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_map.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_array.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_condition.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred0.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred1.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/debug.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel_config.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_condition.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_gc.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_stream.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_ns.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/debug.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/bvar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/bvar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel_config.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_map.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_option.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_option.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_memo.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_memo.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_or_error.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/external_job.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_or_error.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar0.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/import.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_or_error.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_queue.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_result.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_result.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/execution_context.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar_filler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_or_error.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_result.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_pool.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar_filler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_queue.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_std.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_pool.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_queue.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/execution_context.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_queue.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/external_job.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/lazy_deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/limiter.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/lazy_deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/mvar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/limiter.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/mvar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/priority.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/pipe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/priority.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler1.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/pipe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/tail.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_debug.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/tail.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_debug.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/timing_wheel_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/types.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-          ppx src/async_gc.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_array.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_stream.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_list.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_list.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_map.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_array.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_condition.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_invariant_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred0.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred1.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/debug.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel_config.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_quickcheck_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_condition.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_gc.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_stream.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_ns.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/debug.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/bvar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/bvar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel_config.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_map.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_option.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_option.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_memo.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_memo.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_or_error.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/external_job.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_or_error.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar0.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/import.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_or_error.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_queue.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_result.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_result.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/execution_context.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar_filler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_or_error.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/eager_deferred_result.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_pool.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/ivar_filler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_queue.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_std.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_or_event_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_pool.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_queue.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/deferred_sequence_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/execution_context.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/job_queue.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/external_job.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/lazy_deferred.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/limiter.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/lazy_deferred.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/mvar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/limiter.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monad_sequence_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/monitor0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/mvar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/priority.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/pipe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/persistent_connection.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/priority.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler1.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/pipe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_unit_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/tail.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_debug.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_unit_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/synchronous_time_source0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/tail.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/throttle_debug.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/timing_wheel_ns.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/types.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_kernel.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-> compiled  async_kernel.v0.11.1
Processing 193/226: [core: jbuilder build] [re2: jbuilder build]
-> installed async_kernel.v0.11.1
Processing 194/226: [core: jbuilder build] [re2: jbuilder build]
Processing 195/226: [async_rpc_kernel: jbuilder build] [core: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_rpc_kernel" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_rpc_kernel.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_rpc_kernel.v0.11.0
Processing 195/226: [core: jbuilder build] [re2: jbuilder build]
-> installed async_rpc_kernel.v0.11.0
Processing 196/226: [core: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "core" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/core.v0.11.3)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/command/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/quickcheck/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/unix/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/manual/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "top/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/md5_stubs.o
- md5_stubs.c:10:32: warning: '-pedantic' is not an option that controls warnings [-Wpragmas]
-    10 | #pragma GCC diagnostic ignored "-pedantic"
-       |                                ^~~~~~~~~~~
-     ocamlopt src/.core.objs/native/core__Iobuf.{cmx,o}
- File "src/iobuf.ml", line 1033, characters 4-62:
- Warning 55: Cannot inline: Function information unavailable
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/command/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/quickcheck/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/unix/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/manual/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "top/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/md5_stubs.o
- md5_stubs.c:10:32: warning: '-pedantic' is not an option that controls warnings [-Wpragmas]
-    10 | #pragma GCC diagnostic ignored "-pedantic"
-       |                                ^~~~~~~~~~~
-     ocamlopt src/.core.objs/native/core__Iobuf.{cmx,o}
- File "src/iobuf.ml", line 1033, characters 4-62:
- Warning 55: Cannot inline: Function information unavailable
-> compiled  core.v0.11.3
Processing 196/226: [re2: jbuilder build]
-> installed core.v0.11.3
Processing 197/226: [re2: jbuilder build]
Processing 198/226: [async_unix: jbuilder build] [re2: jbuilder build]
Processing 199/226: [async_unix: jbuilder build] [re2: jbuilder build] [textutils: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "textutils" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/textutils.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  textutils.v0.11.0
Processing 199/226: [async_unix: jbuilder build] [re2: jbuilder build]
-> installed textutils.v0.11.0
Processing 200/226: [async_unix: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_unix" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_unix.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-          ppx src/assign_try_with_log_exn.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_sys.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_print.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/assign_try_with_log_exn.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_print.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/busy_pollers.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_by_descr.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/dump_core_on_job_delay.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/busy_pollers.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_by_descr.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/import.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/in_thread.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/io_stats.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/io_stats.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_sys.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/config.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/dump_core_on_job_delay.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/epoll_file_descr_watcher.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/file_descr_watcher_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/in_thread.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/log.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/interruptor.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/interruptor.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/config.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/epoll_file_descr_watcher.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/log.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/process.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_fd.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/read_write.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/process.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_signal_manager.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/shutdown.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/read_write.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/syscall.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/syscall.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/shutdown.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal_manager.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_pool.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal_manager.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/select_file_descr_watcher.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/select_file_descr_watcher.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_pool.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_ivar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_ivar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_pipe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_pipe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_unix.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-          ppx src/assign_try_with_log_exn.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_sys.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_print.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/assign_try_with_log_exn.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_print.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/busy_pollers.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_by_descr.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/dump_core_on_job_delay.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/busy_pollers.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/clock.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_by_descr.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/import.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/in_thread.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/io_stats.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/io_stats.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_sys.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/config.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/dump_core_on_job_delay.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/epoll_file_descr_watcher.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/file_descr_watcher_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/in_thread.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/log.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/interruptor.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/interruptor.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/fd_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/config.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/epoll_file_descr_watcher.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/log.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/process.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_fd.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/read_write.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/process.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_signal_manager.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/shutdown.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/read_write.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/syscall.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/syscall.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/reader0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/raw_scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/shutdown.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal_manager.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/require_explicit_time_source_intf.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_pool.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/signal_manager.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/scheduler.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/select_file_descr_watcher.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/select_file_descr_watcher.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_pool.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_ivar.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_ivar.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_pipe.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/thread_safe_pipe.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/time_source_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls_tests.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/async_unix.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls_tests.pp.mli
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/unix_syscalls.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-          ppx src/writer0.pp.ml
- Warning: the -ite-check flag is deprecated and has no effect.
-> compiled  async_unix.v0.11.0
Processing 200/226: [re2: jbuilder build]
-> installed async_unix.v0.11.0
Processing 201/226: [re2: jbuilder build]
Processing 202/226: [async_extra: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_extra" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_extra.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_extra.v0.11.1
Processing 202/226: [re2: jbuilder build]
-> installed async_extra.v0.11.1
Processing 203/226: [re2: jbuilder build]
Processing 204/226: [async: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async.v0.11.0
Processing 204/226: [re2: jbuilder build]
-> installed async.v0.11.0
Processing 205/226: [re2: jbuilder build]
Processing 206/226: [async_find: jbuilder build] [re2: jbuilder build]
Processing 207/226: [async_find: jbuilder build] [async_interactive: jbuilder build] [re2: jbuilder build]
Processing 208/226: [async_find: jbuilder build] [async_interactive: jbuilder build] [command_rpc: jbuilder build] [re2: jbuilder build]
Processing 209/226: [async_find: jbuilder build] [async_interactive: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
Processing 210/226: [async_find: jbuilder build] [async_interactive: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build] [sequencer_table: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_interactive" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_interactive.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_interactive.v0.11.0
Processing 210/226: [async_find: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build] [sequencer_table: jbuilder build]
-> installed async_interactive.v0.11.0
Processing 211/226: [async_find: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build] [sequencer_table: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sequencer_table" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/sequencer_table.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  sequencer_table.v0.11.0
Processing 211/226: [async_find: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
-> installed sequencer_table.v0.11.0
Processing 212/226: [async_find: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_find" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_find.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_find.v0.11.0
Processing 212/226: [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
-> installed async_find.v0.11.0
Processing 213/226: [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
Processing 214/226: [async_inotify: jbuilder build] [command_rpc: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "command_rpc" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/command_rpc.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  command_rpc.v0.11.0
Processing 214/226: [async_inotify: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
-> installed command_rpc.v0.11.0
Processing 215/226: [async_inotify: jbuilder build] [expect_test_helpers: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "expect_test_helpers" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/expect_test_helpers.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  expect_test_helpers.v0.11.0
Processing 215/226: [async_inotify: jbuilder build] [re2: jbuilder build]
-> installed expect_test_helpers.v0.11.0
Processing 216/226: [async_inotify: jbuilder build] [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_inotify" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_inotify.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_inotify.v0.11.0
Processing 216/226: [re2: jbuilder build]
-> installed async_inotify.v0.11.0
Processing 217/226: [re2: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "re2" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/re2.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/re2_c/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/.re2.objs/byte/re2__Regex.{cmo,cmt}
- File "src/regex.ml", line 142, characters 25-46:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
-     ocamlopt src/.re2.objs/native/re2__Regex.{cmx,o}
- File "src/regex.ml", line 142, characters 25-46:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
-         bash src/re2_c/dllre2_c_stubs.so,src/re2_c/libre2_c_stubs.a
- re2/compile.cc: In member function 'int re2::Compiler::AllocInst(int)':
- re2/compile.cc:268:12: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   268 |     memmove(ip, inst_, inst_len_ * sizeof ip[0]);
-       |     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- re2/compile.cc:269:11: warning: 'void* memset(void*, int, size_t)' clearing an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use assignment or value-initialization instead [-Wclass-memaccess]
-   269 |     memset(ip + inst_len_, 0, (inst_cap_ - inst_len_) * sizeof ip[0]);
-       |     ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- re2/compile.cc: In member function 'void re2::Compiler::Trim()':
- re2/compile.cc:281:12: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   281 |     memmove(ip, inst_, inst_len_ * sizeof ip[0]);
-       |     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- In file included from ./util/util.h:139,
-                  from re2/re2.cc:17:
- ./util/mutex.h:192:32: warning: unnecessary parentheses in declaration of 'empty_mutex' [-Wparentheses]
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/re2.cc:58:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    58 | GLOBAL_MUTEX(empty_mutex);
-       | ^~~~~~~~~~~~
- ./util/mutex.h:192:32: note: remove parentheses
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/re2.cc:58:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    58 | GLOBAL_MUTEX(empty_mutex);
-       | ^~~~~~~~~~~~
- In file included from ./util/util.h:139,
-                  from re2/regexp.cc:8:
- ./util/mutex.h:192:32: warning: unnecessary parentheses in declaration of 'ref_mutex' [-Wparentheses]
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/regexp.cc:64:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    64 | GLOBAL_MUTEX(ref_mutex);
-       | ^~~~~~~~~~~~
- ./util/mutex.h:192:32: note: remove parentheses
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/regexp.cc:64:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    64 | GLOBAL_MUTEX(ref_mutex);
-       | ^~~~~~~~~~~~
- re2/regexp.cc: In member function 'void re2::Regexp::Swap(re2::Regexp*)':
- re2/regexp.cc:319:10: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Regexp' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   319 |   memmove(this, that, sizeof tmp);
-       |   ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/regexp.cc:9:
- ./re2/regexp.h:267:7: note: 'class re2::Regexp' declared here
-   267 | class Regexp {
-       |       ^~~~~~
- re2/regexp.cc:320:10: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Regexp' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   320 |   memmove(that, tmp, sizeof tmp);
-       |   ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/regexp.cc:9:
- ./re2/regexp.h:267:7: note: 'class re2::Regexp' declared here
-   267 | class Regexp {
-       |       ^~~~~~
- re2/compile.cc: In member function 'int re2::Compiler::AllocInst(int)':
- re2/compile.cc:268:12: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   268 |     memmove(ip, inst_, inst_len_ * sizeof ip[0]);
-       |     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- re2/compile.cc:269:11: warning: 'void* memset(void*, int, size_t)' clearing an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use assignment or value-initialization instead [-Wclass-memaccess]
-   269 |     memset(ip + inst_len_, 0, (inst_cap_ - inst_len_) * sizeof ip[0]);
-       |     ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- re2/compile.cc: In member function 'void re2::Compiler::Trim()':
- re2/compile.cc:281:12: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Prog::Inst' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   281 |     memmove(ip, inst_, inst_len_ * sizeof ip[0]);
-       |     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/compile.cc:11:
- ./re2/prog.h:84:9: note: 'class re2::Prog::Inst' declared here
-    84 |   class Inst {
-       |         ^~~~
- In file included from ./util/util.h:139,
-                  from re2/re2.cc:17:
- ./util/mutex.h:192:32: warning: unnecessary parentheses in declaration of 'empty_mutex' [-Wparentheses]
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/re2.cc:58:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    58 | GLOBAL_MUTEX(empty_mutex);
-       | ^~~~~~~~~~~~
- ./util/mutex.h:192:32: note: remove parentheses
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/re2.cc:58:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    58 | GLOBAL_MUTEX(empty_mutex);
-       | ^~~~~~~~~~~~
- In file included from ./util/util.h:139,
-                  from re2/regexp.cc:8:
- ./util/mutex.h:192:32: warning: unnecessary parentheses in declaration of 'ref_mutex' [-Wparentheses]
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/regexp.cc:64:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    64 | GLOBAL_MUTEX(ref_mutex);
-       | ^~~~~~~~~~~~
- ./util/mutex.h:192:32: note: remove parentheses
-   192 |         static pthread_mutex_t (name) = PTHREAD_MUTEX_INITIALIZER
-       |                                ^~~~~~
- re2/regexp.cc:64:1: note: in expansion of macro 'GLOBAL_MUTEX'
-    64 | GLOBAL_MUTEX(ref_mutex);
-       | ^~~~~~~~~~~~
- re2/regexp.cc: In member function 'void re2::Regexp::Swap(re2::Regexp*)':
- re2/regexp.cc:319:10: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Regexp' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   319 |   memmove(this, that, sizeof tmp);
-       |   ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/regexp.cc:9:
- ./re2/regexp.h:267:7: note: 'class re2::Regexp' declared here
-   267 | class Regexp {
-       |       ^~~~~~
- re2/regexp.cc:320:10: warning: 'void* memmove(void*, const void*, size_t)' writing to an object of type 'class re2::Regexp' with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Wclass-memaccess]
-   320 |   memmove(that, tmp, sizeof tmp);
-       |   ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~
- In file included from re2/regexp.cc:9:
- ./re2/regexp.h:267:7: note: 'class re2::Regexp' declared here
-   267 | class Regexp {
-       |       ^~~~~~
-> compiled  re2.v0.11.0
-> installed re2.v0.11.0
Processing 219/226: [core_extended: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "core_extended" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/core_extended.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "base64/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/color_print/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/extended_sexp/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/quotactl/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "selector/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/.core_extended.objs/byte/core_extended__Lazy_sequence.{cmo,cmt}
- File "src/lazy_sequence.ml", line 848, characters 17-23:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
- File "src/lazy_sequence.ml", line 855, characters 17-23:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
-       ocamlc selector/src/.selector.objs/byte/selector.{cmo,cmt}
- File "selector/src/selector.ml", line 47, characters 31-50:
- Warning 3: deprecated: module Re_perl
- Use Re.Perl
-     ocamlopt src/.core_extended.objs/native/core_extended__Lazy_sequence.{cmx,o}
- File "src/lazy_sequence.ml", line 848, characters 17-23:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
- File "src/lazy_sequence.ml", line 855, characters 17-23:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 9.5)
-     ocamlopt selector/src/.selector.objs/native/selector.{cmx,o}
- File "selector/src/selector.ml", line 47, characters 31-50:
- Warning 3: deprecated: module Re_perl
- Use Re.Perl
-> compiled  core_extended.v0.11.0
-> installed core_extended.v0.11.0
Processing 221/226: [async_shell: jbuilder build]
Processing 222/226: [async_shell: jbuilder build] [delimited_parsing: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_shell" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_shell.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_shell.v0.11.0
Processing 222/226: [delimited_parsing: jbuilder build]
-> installed async_shell.v0.11.0
Processing 223/226: [delimited_parsing: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "delimited_parsing" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/delimited_parsing.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  delimited_parsing.v0.11.0
-> installed delimited_parsing.v0.11.0
Processing 225/226: [async_extended: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "async_extended" "-j" "31" (CWD=/home/opam/.opam/4.07/.opam-switch/build/async_extended.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  async_extended.v0.11.0
-> installed async_extended.v0.11.0
Done.

<><> jbuilder.transition installed successfully <><><><><><><><><><><><><><><><>
=> Jbuilder has been renamed and the jbuilder package is now a transition package. Use the dune package instead.

<><> configurator.v0.11.0 installed successfully ><><><><><><><><><><><><><><><>
=> configurator is deprecated. Please use dune-configurator in new code and consider switching to it in existing projects.
# Run eval $(opam env) to update the current shell environment
2021-11-20 23:48.13 ---> saved as "5d83c433768cce5c0138abc152c163412664d95f736b22be21c9edf1f82e12f4"
Job succeeded